WebCam GSPCA con Skype, FireFox, Chromium…

Publicado: octubre 27, 2013 en Desktops, System
Etiquetas:, , , , , , ,

logo-webcamHoy voy a explicar cómo solucionar un problema con las WebCam que no tienen soporte para V4L1, como le ocurre al driver gspca.

Las aplicaciones afectadas, entre otras, son Skype y FlashPlayer. Podemos soucionar esto, siguiendo los siguientes pasos:

1.- Primero tendremos que instalar unos paquetes, para i686:

sudo pacman -S v4l-utils

Para x86_64:

sudo pacman -S lib32-v4l-utils

2.- Lanzaremos las aplicaciones, por ejemplo Skype, así:

En i686:

LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype

En x86_64:

LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so skype

Cuando vallamos a opciones->Dispositivos de vídeo veremos que ya encuentra nuestra WebCam y podemos hacer una prueba.

En el caso de los navegadores, dependerá del flash que tengamos instalado y de la arquitectura. Si tenemos i686, no cambia nada. En el caso de x86_64, dependerá del navegador que tengamos instalado. Es posible que necesitemos instalar lib32-flashplugin de [multilib].

Podemos ver si funciona, por ejemplo, intentando hacer una foto desde la WebCam en Facebook.

Para evitar anteponer LD_PRELOAD delante de los comandos, crearemos  el archivo /etc/profile.d/v4l.sh y le agregamos:

export LD_PRELOAD=/usr/'$LIB'/libv4l/v4l2convert.so

Hacemos ejecutable el archivo:

sudo chmod +x   /etc/profile.d/v4l.sh

Bueno… y esto es todo por hoy.

Anuncios

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s